<?php
	//require($_SERVER['DOCUMENT_ROOT'] . '/wp-load.php');
	include_once(dirname(__FILE__) . '/../../../../../../../wp-load.php');
	$displetretsidx_option = DispletRetsIdxSettings::get_option();
	$displetretsidx_field_option = DispletRetsIdxSettings::get_field_option();
?>
<!DOCTYPE html>
<html>
<head>
	<title>Insert DispletListing</title>
	<script src="../../tiny_mce_popup.js"></script>
	<script src="../js/jquery-1.4.4.min.js"></script>
	<script src="../js/jquery-ui.min.js"></script>
	<script src="../js/dialog_insert.js"></script>
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui-1.8.11.custom.css"/>
	<link rel="stylesheet" type="text/css" href="../css/displetlisting-tinymce.css"/>
</head>
<body>
<div class="displetreader">
	<form id="insert_form">
		<div id="logo">
			<img src="../images/button_insert_large.png"/>
		</div>

		<div class="options">
			<table>
				<tr>
					<th scope="row"><label for="caption">Caption</label></th>
		 			<td><input id="caption" name="caption" 
						type="text" class="text" />
					</td>
					<th scope="row" class="marleft">Show Listings</th>
					<td>
						<select name="listings">
							<option value="yes">Yes</option>
							<option value="no">No</option>
						</select>
					</td>
				</tr>
				<tr>
					<th scope="row" class="marleft">Show Price Navigation</th>
					<td>
						<select<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> name="price_navigation"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?>>
							<option value="">Default</option>
							<option value="yes">Yes</option>
							<option value="no">No</option>
						</select><?php if (empty($displetretsidx_option['displet_app_key'])) echo 'Available w/ Upgrade'; ?>
					</td>
					<th scope="row" class="marleft<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' idxonly'; ?>">Show Stats</th>
					<td>
						<select<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> name="stats"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?>>
							<option value="">Default</option>
							<option value="yes">Yes</option>
							<option value="no">No</option>
						</select><?php if (empty($displetretsidx_option['displet_app_key'])) echo 'Available w/ Upgrade'; ?>
					</td>
				</tr>
		</table>

		</div>

		<div id="criteria" class="ui-tabs">
			<ul>
				<li><a href="#basic">Basic</a></li>
				<li><a href="#features">Features</a></li>
				<li><a href="#location">Location</a></li>
				<li><a href="#schools">Schools</a></li>
				<li><a href="#advanced">Advanced</a></li>
			</ul>
			<div id="basic">
				<table>
					<tr>
						<th scope="row">Minimum Price</th>
						<td><input type="text" name="minListPrice"/>,000</td>
					</tr>
					<tr>
						<th scope="row">Maximum Price</th>
						<td><input type="text" name="maxListPrice"/>,000</td>
					</tr>
					<tr>
						<th scope="row">Minimum Bedrooms</th>
						<td><input type="text" name="minBedrooms"/></td>
					</tr>
					<tr>
						<th scope="row">Maximum Bedrooms</th>
						<td><input type="text" name="maxBedrooms"/></td>
					</tr>
					<tr>
						<th scope="row">Minimum Bathrooms</th>
						<td><input type="text" name="minBathrooms"/></td>
					</tr>
					<tr>
						<th scope="row">Maximum Bathrooms</th>
						<td><input type="text" name="maxBathrooms"/></td>
					</tr>
					<tr>
						<th scope="row">Minimum Sq Ft</th>
						<td><input type="text" name="minSquareFeet"/></td>
					</tr>
					<tr>
						<th scope="row">Maximum Sq Ft</th>
						<td><input type="text" name="maxSquareFeet"/></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Minimum Stories</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="minStories" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Minimum Acreage</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="minAcres" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Age</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="yearBuilt" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row">Property Type</th>
						<td>
							<select multiple name="property_type">
								<option value="">
									Any
								</option>
								<?php
									// Get available property types
									if (!empty($displetretsidx_field_option['property_type'])) {
										foreach ($displetretsidx_field_option['property_type'] as $property_type) {
											$property_types_array[] = $property_type;
										}
									}
									if (empty($property_types_array)){
										$property_types_array = array('House', 'Condo', 'Lease', 'Land', 'Multi', 'Ranch');
									}
									foreach ($property_types_array as $property_type){
										echo '<option value="' . $property_type . '">' . $property_type . '</option>';
									}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<th scope="row">Keywords</th>
						<td><input type="text" name="keyword"/></td>
					</tr>
				</table>
			</div>
			<div id="features">
				<table>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Waterfront</th>
						<td>
							<div<?php echo (empty($displetretsidx_option['displet_app_key'])) ? ' class="idxonlyright">Available w/ Upgrade' : '>'; ?></div>
							<input type="radio" name="waterfront" value=""<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?> />Any<br/>
							<input type="radio" name="waterfront" value="Y"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?> />Yes<br/>
							<input type="radio" name="waterfront" value="N"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?> />No
						</td>
					</tr>
					<tr>
						<th scope="row">Pool</th>
						<td>
							<input type="radio" name="pool_on_property" value=""/>Any<br/>
							<input type="radio" name="pool_on_property" value="Y"/>Yes<br/>
							<input type="radio" name="pool_on_property" value="N"/>No
						</td>
					</tr>
				</table>
			</div>
			<div id="location">
				<table>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Area (<a href="http://reference.displet.com/doku.php//agent_defined_area_vs_mls_defined_area" target="blank">Agent Defined</a>)</th>
						<td>
							<select<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> name="area_mls_defined"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?>>
								<option value="">
									Any
								</option>
								<?php
									// Get available areas
									if (!empty($displetretsidx_field_option['area_mls_defined'])) {
										foreach ($displetretsidx_field_option['area_mls_defined'] as $area_mls_defined) {
											echo '<option value="' . $area_mls_defined . '">' . $area_mls_defined . '</option>';
										}
									}
								?>
							</select><?php if (empty($displetretsidx_option['displet_app_key'])) echo 'Available w/ Upgrade'; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Street Number</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="street_number"<?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></</td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Street Name</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="street_name" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row">City</th>
						<td>
							<?php if (!empty($displetretsidx_option['displet_app_key'])) : ?>
								<select name="city">
									<option value="">
										Any
									</option>
									<?php
										// Get available school districts
										if (!empty($displetretsidx_field_option['city'])) {
											foreach ($displetretsidx_field_option['city'] as $city) {
												echo '<option value="' . $city . '">' . $city . '</option>';
											}
										}
									?>
								</select><?php if (empty($displetretsidx_option['displet_app_key'])) echo 'Available w/ Upgrade'; ?>
							<?php else : ?>
								<input type="text" name="city" />
							<?php endif;  ?>
						</td>
					</tr>
					<tr>
						<th scope="row">Subdivision</th>
						<td><input type="text" name="subdivision" /></td>
					</tr>
					<tr>
						<th scope="row">Zip Codes</th>
						<td><input type="text" name="zip"/></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>County</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="county" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Quick Terms</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="quick_terms" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<?php if (empty($displetretsidx_option['displet_app_key'])) : ?>
						<tr>
							<th scope="row">Free Version</th>
							<td>You may use city or zip code but not both with this<br>version. Both available for simultaneous use with<br>upgrade.</td>
						</tr>
					<?php endif; ?>
				</table>
			</div>
			<div id="schools">
				<table>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>School</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="school" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>School District</th>
						<td>
							<select<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> name="school_district"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?>>
								<option value="">
									Any
								</option>
								<?php
									// Get available school districts
									if (!empty($displetretsidx_field_option['school_district'])) {
										foreach ($displetretsidx_field_option['school_district'] as $school_district) {
											echo '<option value="' . $school_district . '">' . $school_district . '</option>';
										}
									}
								?>
							</select><?php if (empty($displetretsidx_option['displet_app_key'])) echo 'Available w/ Upgrade'; ?>
						</td>
					</tr>
				</table>
			</div>
			<div id="advanced">
				<table>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Status</th>
						<td>
							<select multiple<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> name="status"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?>>
								<option value="">
									Any
								</option>
								<?php
									// Get available areas
									if (!empty($displetretsidx_field_option['status'])) {
										foreach ($displetretsidx_field_option['status'] as $status) {
											echo '<option value="' . $status . '">' . $status . '</option>';
										}
									}
								?>
							</select><?php if (empty($displetretsidx_option['displet_app_key'])) echo 'Available w/ Upgrade'; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Short Sale</th>
						<td>
							<div<?php echo (empty($displetretsidx_option['displet_app_key'])) ? ' class="idxonlyright">Available w/ Upgrade' : '>'; ?></div>
							<input type="radio" name="short_sale" value=""<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?> />Any<br/>
							<input type="radio" name="short_sale" value="Y"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?> />Yes<br/>
							<input type="radio" name="short_sale" value="N"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' disabled'; ?> />No
						</td>
					</tr>
					<tr>
						<th scope="row">Foreclosure</th>
						<td>
							<input type="radio" name="is_foreclosure" value=""/>Any<br/>
							<input type="radio" name="is_foreclosure" value="Y"/>Yes<br/>
							<input type="radio" name="is_foreclosure" value="N"/>No
						</td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>MLS #</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="mls_number" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Listing Agent ID</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="listing_agent_id" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
					<tr>
						<th scope="row"<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?>>Listing Office ID</th>
						<td><input<?php if (empty($displetretsidx_option['displet_app_key'])) echo ' class="idxonly"'; ?> type="text" name="listing_office_id" <?php echo (empty($displetretsidx_option['displet_app_key'])) ? 'disabled />Available w/ Upgrade' : '/>'; ?></td>
					</tr>
				</table>
			</div>
		</div>

		<div class="mceActionPanel">
			<button id="insert" type="submit">Insert</button>
			<button id="cancel">Cancel</button>
		</div>
	</form>
</body>
</div>
</html>